You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     pe...@netkey.at
Last committer: d...@freebsd.org
Ident:          $FreeBSD: head/net-p2p/retroshare/Makefile 456947 2017-12-21 
21:01:37Z dim $
Log URL:        
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p461193_s329007/logs/retroshare-0.6.1_9.log
Build URL:      
http://beefy12.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p461193_s329007
Log:

=>> Building net-p2p/retroshare
build started at Fri Feb  9 08:16:33 UTC 2018
port directory: /usr/ports/net-p2p/retroshare
package name: retroshare-0.6.1_9
building for: FreeBSD head-amd64-default-job-04 12.0-CURRENT FreeBSD 
12.0-CURRENT 1200056 amd64
maintained by: pe...@netkey.at
Makefile ident:      $FreeBSD: head/net-p2p/retroshare/Makefile 456947 
2017-12-21 21:01:37Z dim $
Poudriere version: 3.2.4-48-gf881e389
Host OSVERSION: 1200054
Jail OSVERSION: 1200056
Job Id: 04




!!! Jail is newer than host. (Jail: 1200056, Host: 1200054) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
OSVERSION=1200056
UNAME_v=FreeBSD 12.0-CURRENT 1200056
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
OLDPWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.2.4-48-gf881e389
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
pe...@netkey.at
--End MAINTAINER--

--CONFIGURE_ARGS--
--with-qt-includes=/usr/local/include/qt5  
--with-qt-libraries=/usr/local/lib/qt5  
--with-extra-includes=/usr/local/include  --with-extra-libs=/usr/local/lib
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
QT_SELECT=qt5 
QMAKEMODULES="/wrkdirs/usr/ports/net-p2p/retroshare/work/RetroShare-0.6.1/mkspecs/modules:/usr/local/lib/qt5/mkspecs/modules"
 PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/net-p2p/retroshare/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-p2p/retroshare/work  
HOME=/wrkdirs/usr/ports/net-p2p/retroshare/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/net-p2p/retroshare/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh QTDIR="/usr/local/lib/qt5" 
QMAKE="/usr/local/lib/qt5/bin/qmake"  MOC="/usr/local/lib/qt5/bin/moc" 
RCC="/usr/local/lib/qt5/bin/rcc" UIC="/usr/local/lib/qt5/bin/uic"  
QMAKESPEC="/usr/local/lib/qt5/mkspecs/freebsd-$(ccver="$(c++ --version)"; case 
"$ccver" in *clang*) echo clang ;; *) echo g++ ;; esac)"
--End CONFIGURE_ENV--

--MAKE_ENV--
QT_SELECT=qt5 
QMAKEMODULES="/wrkdirs/usr/ports/net-p2p/retroshare/work/RetroShare-0.6.1/mkspecs/modules:/usr/local/lib/qt5/mkspecs/modules"
 OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl OPENSSLINC=/usr/include 
OPENSSLLIB=/usr/lib XDG_DATA_HOME=/wrkdirs/usr/ports/net-p2p/retroshare/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-p2p/retroshare/work  
HOME=/wrkdirs/usr/ports/net-p2p/retroshare/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/net-p2p/retroshare/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS="  -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m
  555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" QT_BINDIR="lib/qt5/bin" QT_INCDIR="include/qt5" 
QT_LIBDIR="lib/qt5" QT_ARCHDIR="lib/qt5" QT_PLUGINDIR="lib/qt5/plugins" 
QT_LIBEXECDIR="libexec/qt5" QT_IMPORTDIR="lib/qt5/imports" 
QT_QMLDIR="lib/qt5/qml" QT_DATADIR="share/qt5" QT_DOCDIR="share/doc/qt5" 
QT_L10NDIR="share/qt5/translations" QT_EXAMPLEDIR="share/examples/qt5" 
QT_TESTDIR="share/qt5/tests" QT_MKSPECDIR="lib/qt5/mkspecs" 
QT_QTCHOOSERDIR="etc/xdg/qtchooser" GTK2_VERSION="2.10.0"  GTK3_VERSION="3.0.0" 
OSREL=12.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib 
DOCSDIR="share/doc/retroshare"  EXAMPLESDIR="share/examples/retroshare"  
DATADIR="share/retroshare"  WWWDIR="www/retroshare"  ETCDIR="etc/retroshare"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/retroshare 
DOCSDIR=/usr/local/share/doc/retroshare 
EXAMPLESDIR=/usr/local/share/examples/retroshare  
WWWDIR=/usr/local/www/retroshare ETCDIR=/usr/local/etc/retroshare
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=amd64
CONFIGURE_MAX_CMD_LEN=262144
HAVE_COMPAT_IA32_KERN=YES
OPSYS=FreeBSD
OSREL=12.0
OSVERSION=1200056
PYTHONBASE=/usr/local
UID=0
_OSRELEASE=12.0-CURRENT
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   retroshare-0.6.1_9 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.4.txz
[head-amd64-default-job-04] Installing pkg-1.10.4...
[head-amd64-default-job-04] Extracting pkg-1.10.4: .......... done
===>   retroshare-0.6.1_9 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of retroshare-0.6.1_9
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by retroshare-0.6.1_9 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by retroshare-0.6.1_9 for building
=> SHA256 Checksum OK for RetroShare-RetroShare-v0.6.1_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by retroshare-0.6.1_9 for building
===>  Extracting for retroshare-0.6.1_9
=> SHA256 Checksum OK for RetroShare-RetroShare-v0.6.1_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for retroshare-0.6.1_9
===>   Converting DOS text files to UNIX text files
===>  Applying FreeBSD patches for retroshare-0.6.1_9
===========================================================================
=======================<phase: build-depends  >============================
===>   retroshare-0.6.1_9 depends on executable: update-desktop-database - not 
found
===>   Installing existing package /packages/All/desktop-file-utils-0.23.txz
[head-amd64-default-job-04] Installing desktop-file-utils-0.23...
[head-amd64-default-job-04] `-- Installing gettext-runtime-0.19.8.1_1...
[head-amd64-default-job-04] |   `-- Installing indexinfo-0.3.1...
[head-amd64-default-job-04] |   `-- Extracting indexinfo-0.3.1: .... done
[head-amd64-default-job-04] `-- Extracting gettext-runtime-0.19.8.1_1: 
.......... done
[head-amd64-default-job-04] `-- Installing glib-2.50.3_1,1...
[head-amd64-default-job-04] |   `-- Installing libffi-3.2.1_2...
[head-amd64-default-job-04] |   `-- Extracting libffi-3.2.1_2: .......... done
[head-amd64-default-job-04] |   `-- Installing libiconv-1.14_11...
[head-amd64-default-job-04] |   `-- Extracting libiconv-1.14_11: .......... done
[head-amd64-default-job-04] |   `-- Installing pcre-8.40_1...
[head-amd64-default-job-04] |   `-- Extracting pcre-8.40_1: .......... done
[head-amd64-default-job-04] |   `-- Installing perl5-5.24.3...
[head-amd64-default-job-04] |   `-- Extracting perl5-5.24.3: .......... done
[head-amd64-default-job-04] |   `-- Installing python27-2.7.14_1...
[head-amd64-default-job-04] |   | `-- Installing readline-7.0.3_1...
[head-amd64-default-job-04] |   | `-- Extracting readline-7.0.3_1: .......... 
done
[head-amd64-default-job-04] |   `-- Extracting python27-2.7.14_1: .......... 
done
[head-amd64-default-job-04] `-- Extracting glib-2.50.3_1,1: .......... done
No schema files found: doing nothing.
[head-amd64-default-job-04] Extracting desktop-file-utils-0.23: .......... done
Message from perl5-5.24.3:

The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl
<snip>
                                    ^
/usr/local/include/microhttpd.h:2658:1: note: 'MHD_create_response_from_data' 
has been explicitly marked deprecated here
_MHD_DEPR_FUNC("MHD_create_response_from_data() is deprecated, use 
MHD_create_response_from_buffer()") \
^
/usr/local/include/microhttpd.h:253:44: note: expanded from macro 
'_MHD_DEPR_FUNC'
#define _MHD_DEPR_FUNC(msg) __attribute__((deprecated(msg)))
                                           ^
api/ApiServerMHD.cpp:417:33: warning: 'MHD_create_response_from_data' is 
deprecated: MHD_create_response_from_data() is deprecated, use 
MHD_create_response_from_buffer() [-Wdeprecated-declarations]
    struct MHD_Response* resp = MHD_create_response_from_data(page.size(), 
(void*)page.data(), 0, 1);
                                ^
/usr/local/include/microhttpd.h:2658:1: note: 'MHD_create_response_from_data' 
has been explicitly marked deprecated here
_MHD_DEPR_FUNC("MHD_create_response_from_data() is deprecated, use 
MHD_create_response_from_buffer()") \
^
/usr/local/include/microhttpd.h:253:44: note: expanded from macro 
'_MHD_DEPR_FUNC'
#define _MHD_DEPR_FUNC(msg) __attribute__((deprecated(msg)))
                                           ^
api/ApiServerMHD.cpp:568:37: warning: 'MHD_create_response_from_data' is 
deprecated: MHD_create_response_from_data() is deprecated, use 
MHD_create_response_from_buffer() [-Wdeprecated-declarations]
        struct MHD_Response* resp = 
MHD_create_response_from_data(strlen(error), (void*)error, 0, 1);
                                    ^
/usr/local/include/microhttpd.h:2658:1: note: 'MHD_create_response_from_data' 
has been explicitly marked deprecated here
_MHD_DEPR_FUNC("MHD_create_response_from_data() is deprecated, use 
MHD_create_response_from_buffer()") \
^
/usr/local/include/microhttpd.h:253:44: note: expanded from macro 
'_MHD_DEPR_FUNC'
#define _MHD_DEPR_FUNC(msg) __attribute__((deprecated(msg)))
                                           ^
api/ApiServerMHD.cpp:581:37: warning: 'MHD_create_response_from_data' is 
deprecated: MHD_create_response_from_data() is deprecated, use 
MHD_create_response_from_buffer() [-Wdeprecated-declarations]
        struct MHD_Response* resp = 
MHD_create_response_from_data(strlen(error), (void*)error, 0, 1);
                                    ^
/usr/local/include/microhttpd.h:2658:1: note: 'MHD_create_response_from_data' 
has been explicitly marked deprecated here
_MHD_DEPR_FUNC("MHD_create_response_from_data() is deprecated, use 
MHD_create_response_from_buffer()") \
^
/usr/local/include/microhttpd.h:253:44: note: expanded from macro 
'_MHD_DEPR_FUNC'
#define _MHD_DEPR_FUNC(msg) __attribute__((deprecated(msg)))
                                           ^
api/ApiServerMHD.cpp:639:41: warning: 'MHD_create_response_from_data' is 
deprecated: MHD_create_response_from_data() is deprecated, use 
MHD_create_response_from_buffer() [-Wdeprecated-declarations]
            struct MHD_Response* resp = 
MHD_create_response_from_data(strlen(error), (void*)error, 0, 1);
                                        ^
/usr/local/include/microhttpd.h:2658:1: note: 'MHD_create_response_from_data' 
has been explicitly marked deprecated here
_MHD_DEPR_FUNC("MHD_create_response_from_data() is deprecated, use 
MHD_create_response_from_buffer()") \
^
/usr/local/include/microhttpd.h:253:44: note: expanded from macro 
'_MHD_DEPR_FUNC'
#define _MHD_DEPR_FUNC(msg) __attribute__((deprecated(msg)))
                                           ^
7 warnings generated.
c++ -c -O2 -pipe -fstack-protector -fno-strict-aliasing -fPIC -Wall -W 
-DRS_ENABLE_GXS -DENABLE_WEBUI -I. -I../../libretroshare/src 
-I/usr/local/include -I/usr/local/lib/qt5/mkspecs/freebsd-clang -o ApiServer.o 
api/ApiServer.cpp
c++ -c -O2 -pipe -fstack-protector -fno-strict-aliasing -fPIC -Wall -W 
-DRS_ENABLE_GXS -DENABLE_WEBUI -I. -I../../libretroshare/src 
-I/usr/local/include -I/usr/local/lib/qt5/mkspecs/freebsd-clang -o json.o 
api/json.cpp
In file included from api/json.cpp:3:
In file included from api/json.h:236:
In file included from /usr/include/c++/v1/vector:266:
In file included from /usr/include/c++/v1/__bit_reference:15:
In file included from /usr/include/c++/v1/algorithm:643:
/usr/include/c++/v1/memory:2097:9: error: cannot initialize a member subobject 
of type 'json::Value *' with an rvalue of type 'int'
      : __value_(_VSTD::forward<_Up>(__u)){};
        ^        ~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/memory:2187:9: note: in instantiation of function template 
specialization 'std::__1::__compressed_pair_elem<json::Value *, 0, 
false>::__compressed_pair_elem<int, void>' requested here
      : _Base1(std::forward<_Tp>(__t)), _Base2() {}
        ^
/usr/include/c++/v1/vector:423:7: note: in instantiation of function template 
specialization 'std::__1::__compressed_pair<json::Value *, 
std::__1::allocator<json::Value> >::__compressed_pair<int, true>' requested here
      __end_cap_(nullptr)
      ^
/usr/include/c++/v1/vector:473:5: note: in instantiation of member function 
'std::__1::__vector_base<json::Value, std::__1::allocator<json::Value> 
>::__vector_base' requested here
    vector() _NOEXCEPT_(is_nothrow_default_constructible<allocator_type>::value)
    ^
api/json.cpp:311:8: note: in instantiation of member function 
'std::__1::vector<json::Value, std::__1::allocator<json::Value> >::vector' 
requested here
Array::Array()
       ^
In file included from api/json.cpp:3:
In file included from api/json.h:236:
In file included from /usr/include/c++/v1/vector:266:
In file included from /usr/include/c++/v1/__bit_reference:15:
In file included from /usr/include/c++/v1/algorithm:643:
/usr/include/c++/v1/memory:2197:9: error: no matching constructor for 
initialization of '__compressed_pair_elem<json::Value *, 0>'
      : _Base1(std::forward<_U1>(__t1)), _Base2(std::forward<_U2>(__t2)) {}
        ^      ~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/vector:432:7: note: in instantiation of function template 
specialization 'std::__1::__compressed_pair<json::Value *, 
std::__1::allocator<json::Value> >::__compressed_pair<int, const 
std::__1::allocator<json::Value> &>' requested here
      __end_cap_(nullptr, __a)
      ^
/usr/include/c++/v1/vector:1204:7: note: in instantiation of member function 
'std::__1::__vector_base<json::Value, std::__1::allocator<json::Value> 
>::__vector_base' requested here
    : 
__base(__alloc_traits::select_on_container_copy_construction(__x.__alloc()))
      ^
api/json.cpp:315:32: note: in instantiation of member function 
'std::__1::vector<json::Value, std::__1::allocator<json::Value> >::vector' 
requested here
Array::Array(const Array& a) : mValues(a.mValues)
                               ^
/usr/include/c++/v1/memory:2083:8: note: candidate constructor (the implicit 
copy constructor) not viable: no known conversion from 'int' to 'const 
std::__1::__compressed_pair_elem<json::Value *, 0, false>' for 1st argument
struct __compressed_pair_elem {
       ^
/usr/include/c++/v1/memory:2083:8: note: candidate constructor (the implicit 
move constructor) not viable: no known conversion from 'int' to 
'std::__1::__compressed_pair_elem<json::Value *, 0, false>' for 1st argument
struct __compressed_pair_elem {
       ^
/usr/include/c++/v1/memory:2096:3: note: candidate template ignored: 
substitution failure [with _Up = int, $1 = void]
  __compressed_pair_elem(_Up&& __u)
  ^
/usr/include/c++/v1/memory:2101:3: note: candidate constructor template not 
viable: requires 3 arguments, but 1 was provided
  __compressed_pair_elem(piecewise_construct_t, tuple<_Args...> __args,
  ^
/usr/include/c++/v1/memory:2089:39: note: candidate constructor not viable: 
requires 0 arguments, but 1 was provided
  _LIBCPP_INLINE_VISIBILITY constexpr __compressed_pair_elem() : __value_() {}
                                      ^
/usr/include/c++/v1/memory:2197:9: error: no matching constructor for 
initialization of '__compressed_pair_elem<json::Value *, 0>'
      : _Base1(std::forward<_U1>(__t1)), _Base2(std::forward<_U2>(__t2)) {}
        ^      ~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/__split_buffer:309:7: note: in instantiation of function 
template specialization 'std::__1::__compressed_pair<json::Value *, 
std::__1::allocator<json::Value> &>::__compressed_pair<int, 
std::__1::allocator<json::Value> &>' requested here
    : __end_cap_(nullptr, __a)
      ^
/usr/include/c++/v1/vector:1578:49: note: in instantiation of member function 
'std::__1::__split_buffer<json::Value, std::__1::allocator<json::Value> 
&>::__split_buffer' requested here
    __split_buffer<value_type, allocator_type&> __v(__recommend(size() + 1), 
size(), __a);
                                                ^
/usr/include/c++/v1/vector:1599:9: note: in instantiation of function template 
specialization 'std::__1::vector<json::Value, std::__1::allocator<json::Value> 
>::__push_back_slow_path<const json::Value &>' requested here
        __push_back_slow_path(__x);
        ^
api/json.cpp:363:10: note: in instantiation of member function 
'std::__1::vector<json::Value, std::__1::allocator<json::Value> >::push_back' 
requested here
        mValues.push_back(v);
                ^
/usr/include/c++/v1/memory:2083:8: note: candidate constructor (the implicit 
copy constructor) not viable: no known conversion from 'int' to 'const 
std::__1::__compressed_pair_elem<json::Value *, 0, false>' for 1st argument
struct __compressed_pair_elem {
       ^
/usr/include/c++/v1/memory:2083:8: note: candidate constructor (the implicit 
move constructor) not viable: no known conversion from 'int' to 
'std::__1::__compressed_pair_elem<json::Value *, 0, false>' for 1st argument
struct __compressed_pair_elem {
       ^
/usr/include/c++/v1/memory:2096:3: note: candidate template ignored: 
substitution failure [with _Up = int, $1 = void]
  __compressed_pair_elem(_Up&& __u)
  ^
/usr/include/c++/v1/memory:2101:3: note: candidate constructor template not 
viable: requires 3 arguments, but 1 was provided
  __compressed_pair_elem(piecewise_construct_t, tuple<_Args...> __args,
  ^
/usr/include/c++/v1/memory:2089:39: note: candidate constructor not viable: 
requires 0 arguments, but 1 was provided
  _LIBCPP_INLINE_VISIBILITY constexpr __compressed_pair_elem() : __value_() {}
                                      ^
/usr/include/c++/v1/memory:2097:9: error: cannot initialize a member subobject 
of type 'json::StackDepthType **' with an rvalue of type 'int'
      : __value_(_VSTD::forward<_Up>(__u)){};
        ^        ~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/memory:2197:9: note: in instantiation of function template 
specialization 'std::__1::__compressed_pair_elem<json::StackDepthType **, 0, 
false>::__compressed_pair_elem<int, void>' requested here
      : _Base1(std::forward<_U1>(__t1)), _Base2(std::forward<_U2>(__t2)) {}
        ^
/usr/include/c++/v1/__split_buffer:309:7: note: in instantiation of function 
template specialization 'std::__1::__compressed_pair<json::StackDepthType **, 
std::__1::allocator<json::StackDepthType *> &>::__compressed_pair<int, 
std::__1::allocator<json::StackDepthType *> &>' requested here
    : __end_cap_(nullptr, __a)
      ^
/usr/include/c++/v1/deque:2454:13: note: in instantiation of member function 
'std::__1::__split_buffer<json::StackDepthType *, 
std::__1::allocator<json::StackDepthType *> &>::__split_buffer' requested here
            __buf(max<size_type>(2* __base::__map_.capacity(), 1),
            ^
/usr/include/c++/v1/deque:1825:9: note: in instantiation of member function 
'std::__1::deque<json::StackDepthType, 
std::__1::allocator<json::StackDepthType> >::__add_back_capacity' requested here
        __add_back_capacity();
        ^
/usr/include/c++/v1/stack:197:36: note: in instantiation of member function 
'std::__1::deque<json::StackDepthType, 
std::__1::allocator<json::StackDepthType> >::push_back' requested here
    void push(value_type&& __v) {c.push_back(_VSTD::move(__v));}
                                   ^
api/json.cpp:639:15: note: in instantiation of member function 
'std::__1::stack<json::StackDepthType, std::__1::deque<json::StackDepthType, 
std::__1::allocator<json::StackDepthType> > >::push' requested here
                depth_stack.push(InObject);
                            ^
In file included from api/json.cpp:3:
In file included from api/json.h:236:
In file included from /usr/include/c++/v1/vector:266:
In file included from /usr/include/c++/v1/__bit_reference:15:
In file included from /usr/include/c++/v1/algorithm:643:
/usr/include/c++/v1/memory:2187:9: error: no matching constructor for 
initialization of '__compressed_pair_elem<json::StackDepthType **, 0>'
      : _Base1(std::forward<_Tp>(__t)), _Base2() {}
        ^      ~~~~~~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/__split_buffer:320:62: note: in instantiation of function 
template specialization 'std::__1::__compressed_pair<json::StackDepthType **, 
std::__1::allocator<json::StackDepthType *> >::__compressed_pair<int, true>' 
requested here
    : __first_(nullptr), __begin_(nullptr), __end_(nullptr), __end_cap_(nullptr)
                                                             ^
/usr/include/c++/v1/deque:966:5: note: in instantiation of member function 
'std::__1::__split_buffer<json::StackDepthType *, 
std::__1::allocator<json::StackDepthType *> >::__split_buffer' requested here
    __deque_base()
    ^
/usr/include/c++/v1/deque:1216:5: note: in instantiation of member function 
'std::__1::__deque_base<json::StackDepthType, 
std::__1::allocator<json::StackDepthType> >::__deque_base' requested here
    deque()
    ^
/usr/include/c++/v1/stack:124:11: note: in instantiation of member function 
'std::__1::deque<json::StackDepthType, 
std::__1::allocator<json::StackDepthType> >::deque' requested here
        : c() {}
          ^
api/json.cpp:1076:29: note: in instantiation of member function 
'std::__1::stack<json::StackDepthType, std::__1::deque<json::StackDepthType, 
std::__1::allocator<json::StackDepthType> > >::stack' requested here
        std::stack<StackDepthType> depth_stack;
                                   ^
/usr/include/c++/v1/memory:2083:8: note: candidate constructor (the implicit 
copy constructor) not viable: no known conversion from 'int' to 'const 
std::__1::__compressed_pair_elem<json::StackDepthType **, 0, false>' for 1st 
argument
struct __compressed_pair_elem {
       ^
/usr/include/c++/v1/memory:2083:8: note: candidate constructor (the implicit 
move constructor) not viable: no known conversion from 'int' to 
'std::__1::__compressed_pair_elem<json::StackDepthType **, 0, false>' for 1st 
argument
struct __compressed_pair_elem {
       ^
/usr/include/c++/v1/memory:2096:3: note: candidate template ignored: 
substitution failure [with _Up = int, $1 = void]
  __compressed_pair_elem(_Up&& __u)
  ^
/usr/include/c++/v1/memory:2101:3: note: candidate constructor template not 
viable: requires 3 arguments, but 1 was provided
  __compressed_pair_elem(piecewise_construct_t, tuple<_Args...> __args,
  ^
/usr/include/c++/v1/memory:2089:39: note: candidate constructor not viable: 
requires 0 arguments, but 1 was provided
  _LIBCPP_INLINE_VISIBILITY constexpr __compressed_pair_elem() : __value_() {}
                                      ^
5 errors generated.
*** Error code 1

Stop.
make[2]: stopped in 
/wrkdirs/usr/ports/net-p2p/retroshare/work/RetroShare-0.6.1/libresapi/src
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/net-p2p/retroshare/work/RetroShare-0.6.1
*** Error code 1

Stop.
make: stopped in /usr/ports/net-p2p/retroshare
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to